Index: branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs
===================================================================
--- branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 96)
+++ branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 97)
@@ -7858,69 +5853,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<SubConstrRegist> BuffList = new List<SubConstrRegist>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOSubConstrRegist.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        SubConstrRegist CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.CreateDate.ToShortDateString());
-                        strSQL += string.Format(", {0}", CurRec.SeqNo);
-                        strSQL += string.Format(", {0}", CurRec.DataMode);
-                        strSQL += string.Format(", {0}", CurRec.SourceCode);
-                        strSQL += string.Format(", {0}", CurRec.PetitionPeriod);
-
-                        strSQL += string.Format(", '{0}'", CurRec.CorporateStatusName);
-                        strSQL += string.Format(", {0}", CurRec.CorporateStatusPoint);
-                        strSQL += string.Format(", '{0}'", CurRec.CompanyName);
-                        strSQL += string.Format(", '{0}'", CurRec.CEOPositionName);
-                        strSQL += string.Format(", '{0}'", CurRec.CEOName);
-                        strSQL += string.Format(", '{0}'", CurRec.ContactPersonName);
-                        strSQL += string.Format(", '{0}'", CurRec.ZipCode);
-                        strSQL += string.Format(", '{0}'", CurRec.Address1);
-                        strSQL += string.Format(", '{0}'", CurRec.Address2);
-                        strSQL += string.Format(", '{0}'", CurRec.Address3);
-                        strSQL += string.Format(", '{0}'", CurRec.CellPhoneNumber);
-                        strSQL += string.Format(", '{0}'", CurRec.MailAddress);
-                        strSQL += string.Format(", '{0}'", CurRec.PhoneNumber);
-                        strSQL += string.Format(", '{0}'", CurRec.FaxNumber);
-                        strSQL += string.Format(", '{0}'", CurRec.JapaneseSyllabary);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.StartDate.ToShortDateString());
-                        strSQL += string.Format(", '{0}'", CurRec.Note);
-                        strSQL += string.Format(",  {0} ", CurRec.labourKind.ToString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.OrderDate.ToShortDateString());
-                        strSQL += string.Format(", {0}", CurRec.OrderNo);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -7927,6 +5873,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -7957,7 +5904,7 @@
         private bool CnvSubcontractoritemmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMSubContractorItem InDB = new ProcessManagement.OracleDB.IOAccess.IOMSubContractorItem();
-            ProcessManagement.MySQLDB.IOAccess.IOMSubContractorItem OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMSubContractorItem();
+            ProcessManagement.DB.IOAccess.IOMSubContractorItem OutDB = new ProcessManagement.DB.IOAccess.IOMSubContractorItem();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -7971,46 +5918,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<SubContractorItemMaster> BuffList = new List<SubContractorItemMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMSubContractorItem.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        SubContractorItemMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format(" {0}", CurRec.ItemCode.ToString());
-                        strSQL += string.Format(" ,{0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(" ,'{0}'", CurRec.ItemName);
-                        strSQL += string.Format(" ,{0}", CurRec.DeleteFlg.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -8017,6 +5938,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -8047,7 +5969,7 @@
         private bool CnvSubcontractorjobcategory(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMSubContractorJobCategory InDB = new ProcessManagement.OracleDB.IOAccess.IOMSubContractorJobCategory();
-            ProcessManagement.MySQLDB.IOAccess.IOMSubContractorJobCategory OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMSubContractorJobCategory();
+            ProcessManagement.DB.IOAccess.IOMSubContractorJobCategory OutDB = new ProcessManagement.DB.IOAccess.IOMSubContractorJobCategory();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -8061,46 +5983,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<SubContractorJobCategory> BuffList = new List<SubContractorJobCategory>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMSubContractorJobCategory.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        SubContractorJobCategory CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format(" {0}", CurRec.JobCategoryCode.ToString());
-                        strSQL += string.Format(" ,{0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(" ,'{0}'", CurRec.JobCategoryName);
-                        strSQL += string.Format(" ,{0}", CurRec.DeleteFlg.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -8107,6 +6003,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -8137,7 +6034,7 @@
         private bool CnvSubcontractorjobitem(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMSubContractorJobItem InDB = new ProcessManagement.OracleDB.IOAccess.IOMSubContractorJobItem();
-            ProcessManagement.MySQLDB.IOAccess.IOMSubContractorJobItem OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMSubContractorJobItem();
+            ProcessManagement.DB.IOAccess.IOMSubContractorJobItem OutDB = new ProcessManagement.DB.IOAccess.IOMSubContractorJobItem();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -8151,45 +6048,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<SubContractorJobItem> BuffList = new List<SubContractorJobItem>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMSubContractorJobItem.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        SubContractorJobItem CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.CompanyCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ItemCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -8196,6 +6068,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -8226,7 +6099,7 @@
         private bool CnvSubcontractorjoblink(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMSubContractorJobLink InDB = new ProcessManagement.OracleDB.IOAccess.IOMSubContractorJobLink();
-            ProcessManagement.MySQLDB.IOAccess.IOMSubContractorJobLink OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMSubContractorJobLink();
+            ProcessManagement.DB.IOAccess.IOMSubContractorJobLink OutDB = new ProcessManagement.DB.IOAccess.IOMSubContractorJobLink();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -8240,45 +6113,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<SubContractorJobLink> BuffList = new List<SubContractorJobLink>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMSubContractorJobLink.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        SubContractorJobLink CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.CompanyCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.JobCategoryCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -8285,6 +6133,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -8315,7 +6164,7 @@
         private bool CnvSubcontractormaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMSubContractor InDB = new ProcessManagement.OracleDB.IOAccess.IOMSubContractor();
-            ProcessManagement.MySQLDB.IOAccess.IOMSubContractor OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMSubContractor();
+            ProcessManagement.DB.IOAccess.IOMSubContractor OutDB = new ProcessManagement.DB.IOAccess.IOMSubContractor();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -8329,63 +6178,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<SubContractorMaster> BuffList = new List<SubContractorMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMSubContractor.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        SubContractorMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.CompanyCode);
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder);
-                        strSQL += string.Format(",'{0}'", CurRec.CorporateStatusName);
-                        strSQL += string.Format(", {0}", CurRec.CorporateStatusPoint);
-                        strSQL += string.Format(",'{0}'", CurRec.CompanyName);
-                        strSQL += string.Format(",'{0}'", CurRec.CEOPositionName);
-                        strSQL += string.Format(",'{0}'", CurRec.CEOName);
-                        strSQL += string.Format(",'{0}'", CurRec.ContactPersonName);
-                        strSQL += string.Format(",'{0}'", CurRec.ZipCode);
-                        strSQL += string.Format(",'{0}'", CurRec.Address1);
-                        strSQL += string.Format(",'{0}'", CurRec.Address2);
-                        strSQL += string.Format(",'{0}'", CurRec.Address3);
-                        strSQL += string.Format(",'{0}'", CurRec.CellPhoneNumber);
-                        strSQL += string.Format(",'{0}'", CurRec.MailAddress);
-                        strSQL += string.Format(",'{0}'", CurRec.PhoneNumber);
-                        strSQL += string.Format(",'{0}'", CurRec.FaxNumber);
-                        strSQL += string.Format(",'{0}'", CurRec.JapaneseSyllabary);
-                        strSQL += string.Format(",STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.StartDate.ToShortDateString());
-                        strSQL += string.Format(",'{0}'", CurRec.Note);
-                        strSQL += string.Format(", {0} ", CurRec.labourKind.ToString());
-                        strSQL += string.Format(", {0} ", CurRec.DeleteFlg.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -8392,6 +6198,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -8422,7 +6229,7 @@
         private bool CnvSuppliersmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMSuppliers InDB = new ProcessManagement.OracleDB.IOAccess.IOMSuppliers();
-            ProcessManagement.MySQLDB.IOAccess.IOMSuppliers OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMSuppliers();
+            ProcessManagement.DB.IOAccess.IOMSuppliers OutDB = new ProcessManagement.DB.IOAccess.IOMSuppliers();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -8436,54 +6243,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<SuppliersMaster> BuffList = new List<SuppliersMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMSuppliers.SuppliersColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        SuppliersMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += CurRec.SuppliersCode;
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder);
-                        strSQL += ", '" + CurRec.SuppliersName1 + "'";
-                        strSQL += ", '" + CurRec.SuppliersName2 + "'";
-                        strSQL += ", '" + CurRec.ZipCode + "'";
-                        strSQL += ", '" + CurRec.Address1 + "'";
-                        strSQL += ", '" + CurRec.Address2 + "'";
-                        strSQL += ", '" + CurRec.Address3 + "'";
-                        strSQL += ", '" + CurRec.PhoneNumber + "'";
-                        strSQL += ", '" + CurRec.FaxNumber + "'";
-                        strSQL += ", '" + CurRec.Note + "'";
-                        strSQL += string.Format(", {0}", CurRec.DeleteFlg);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -8490,6 +6263,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -8520,7 +6294,7 @@
         private bool CnvSystemexecute(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOSystemExecute InDB = new ProcessManagement.OracleDB.IOAccess.IOSystemExecute();
-            ProcessManagement.MySQLDB.IOAccess.IOSystemExecute OutDB = new ProcessManagement.MySQLDB.IOAccess.IOSystemExecute();
+            ProcessManagement.DB.IOAccess.IOSystemExecute OutDB = new ProcessManagement.DB.IOAccess.IOSystemExecute();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -8534,46 +6308,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<SystemExecute> BuffList = new List<SystemExecute>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOSystemExecute.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        SystemExecute CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("{0}", CurRec.PrimaryCode);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.TargetDate.ToShortDateString());
-                        strSQL += string.Format(",{0}", CurRec.SystemVersion);
-                        strSQL += string.Format(",{0}", CurRec.UpDateCopyVersion);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -8580,6 +6328,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -8610,7 +6359,7 @@
         private bool CnvSystemmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMSystem InDB = new ProcessManagement.OracleDB.IOAccess.IOMSystem();
-            ProcessManagement.MySQLDB.IOAccess.IOMSystem OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMSystem();
+            ProcessManagement.DB.IOAccess.IOMSystem OutDB = new ProcessManagement.DB.IOAccess.IOMSystem();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
